Name:           ocaml-rtime
Version:        0.9.3
Release:        %mkrel 10
Summary:        OCaml module implementing timelines for ocaml-react
License:        BSD
Group:          Development/OCaml
URL:            http://erratique.ch/software/rtime
Source0:        http://erratique.ch/software/rtime/releases/rtime-%{version}.tbz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-react-devel
Requires:       ocaml-react

%description
Rtime is an OCaml module implementing timelines for React. It manages
time stamp events, delayed events and delayed signals along timelines.
A timeline is defined by an absolute notion of time provided by the client.
Running the timeline at the appropriate pace is left to the client.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-react-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n rtime-%{version}

%build
ocaml setup.ml -configure
ocaml setup.ml -build

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
ocaml setup.ml -install \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --destdir %{buildroot}

%files
%doc README CHANGES
%dir %{_libdir}/ocaml/rtime
%{_libdir}/ocaml/rtime/META
%{_libdir}/ocaml/rtime/rtime.cmi
%{_libdir}/ocaml/rtime/rtime.cma
%{_libdir}/ocaml/rtime/rtime.cmxs

%files devel
%doc doc/ test/
%{_libdir}/ocaml/rtime/rtime.mli 
%{_libdir}/ocaml/rtime/rtime.cmxa
%{_libdir}/ocaml/rtime/rtime.cmx
%{_libdir}/ocaml/rtime/rtime.a


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.9.3-10.mga6
+ Revision: 1056439
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.9.3-9.mga6
+ Revision: 956446
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-8.mga5
+ Revision: 744301
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 malo <malo> 0.9.3-7.mga5
+ Revision: 724304
- rebuild for new ocaml-react

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-6.mga5
+ Revision: 683099
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.3-5.mga4
+ Revision: 508529
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.3-4.mga3
+ Revision: 361597
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.3-3.mga3
+ Revision: 301607
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.3-2.mga3
+ Revision: 300349
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 0.9.3-1.mga3
+ Revision: 279301
- updated to last version 0.9.3

* Sun Jun 24 2012 blue_prawn <blue_prawn> 0.9.2-1.mga3
+ Revision: 262867
- added BuildRequires: ocaml-findlib
- updated to last version 0.9.2 that now uses Oasis build

* Wed Dec 21 2011 malo <malo> 0.9.1-2.mga2
+ Revision: 185439
- spec clean-up
- missing requires ocaml-react
- adding dynamically loadable native module file
- imported package ocaml-rtime


* Thu Apr 22 2010 Florent Monnier <blue_prawn@mandriva.org> 0.9.1-1mdv2010.1
+ Revision: 538010
- updated to version 0.9.1

* Thu Aug 13 2009 Florent Monnier <blue_prawn@mandriva.org> 0.9.0-2mdv2010.0
+ Revision: 415833
- the tests may fail in a heavily loaded environment
- precision set
- import ocaml-rtime

